Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Stefan_V
Beginner
134 Views

Cordova and Google Play

I'm strugling for a month to upload an application on Google Play. And I receive this message from Google Play:

Vulnerability APK Version(s)
Apache Cordova

The vulnerabilities were fixed in Apache Cordova v.3.5.1. For more information about the vulnerabilities, and for guidance on upgrading Apache Cordova, please see https://cordova.apache.org/announcements/2014/08/04/android-351.html. For other technical questions about Apache Cordova, please post to Stack Overflow and use the tags "android-security" and "cordova."

 

I have to say that I'm using INtel XDK 2727 with Cordova 5.1.1
Tags (2)
0 Kudos
15 Replies
marcos_r_1
Beginner
134 Views

The same with me 

Apache Cordova

The vulnerabilities were fixed in Apache Cordova v.3.5.1. For more information about the vulnerabilities, and for guidance on upgrading Apache Cordova, please see https://cordova.apache.org/announcements/2014/08/04/android-351.html. For other technical questions about Apache Cordova, please post to Stack Overflow and use the tags "android-security" and "cordova."

 

0 Kudos
Michael_O_2
New Contributor I
134 Views

The current version you are using doesn't have a security vulnerability.

0 Kudos
Ad
New Contributor III
134 Views

Michael O. wrote:

The current version you are using doesn't have a security vulnerability.

But it looks like Google thinks different about that....

0 Kudos
Stefan_V
Beginner
134 Views

Michael O. wrote:

The current version you are using doesn't have a security vulnerability.

 

Unfortunately this doesn't help me. I don't know why Google sees another thing.

0 Kudos
Stefan_V
Beginner
134 Views

It seems like I have to quit using Intel XDK.

It is impossible to work like this. I spent 6 days to make the application and 3 weeks to put the application on Google Play with no results. I don't know there is a problem with Cordova Version within the app package for Google Play.

0 Kudos
Ad
New Contributor III
134 Views

Stefan V wrote:

It seems like I have to quit using Intel XDK.

Sorry to here that! (I'm not working for Intel)

Today we will make a new release of our Rembrandt Advent App and will place it in the Google Play Store.
Till now we don't had any problems with that. I will let you know asap about our findings, today!

Edit: Our Rembrandt App is accepted and published in the Google Play Store!
No problems of comments at all.....
strange....

0 Kudos
Stefan_V
Beginner
134 Views

Ad, congrats for your success!

I started developing this application with Intel XDK 16xx and I finished with Intel XDK 2727. Perhaps here it is the problem.

Maybe it is something inherited. I don't know, but I have to try something else beause I lost too much time with Intel XDK (which is a nice and fast tool, but this doesn't help me if I cannot publish the result).

0 Kudos
PaulF_IntelCorp
Employee
134 Views

@Stefan -- if you are building with CLI 4.1.2 AND specifying Crosswalk 7, I would expect to see that message. Otherwise, you should not be getting that message. Can you provide a sample of the APK that is causing Google Play to generate this warning?

0 Kudos
PaulF_IntelCorp
Employee
134 Views

@Stefan, the app you sent me does not look like a Cordova app, nor does it look like something built with the XDK. Did you build this using the XDK legacy build tiles? How did you build this app?

0 Kudos
Stefan_V
Beginner
134 Views

Hi Paul,

The app that I've sent to you is built with XDK but not as a Cordova App.

xdk_.jpg

Now i'm asking myself how can I make it to good? I have to say that the application is working well on my two mobile phones.

0 Kudos
Anusha_M_Intel1
Employee
134 Views

@Stefan, the legacy build tiles are going away very soon. 

Check out this post by Paul for more information: https://software.intel.com/en-us/forums/intel-xdk/topic/601436

0 Kudos
Stefan_V
Beginner
134 Views

Thank you, Anusha Muthiah

I've read this post. And I've rewrapped the application with Cordova.

Now it is ok.

 

Thank you,

0 Kudos
Ad
New Contributor III
134 Views

@Stefan, good to see it's working now!

0 Kudos
jesus_c_2
Beginner
134 Views

send me google mail warning my cordova but ia hav 4.1.2 whyyyyyy?

0 Kudos
PaulF_IntelCorp
Employee
134 Views

@Jesus -- please read this post carefully > https://software.intel.com/en-us/forums/intel-xdk/topic/609583

0 Kudos